Package com.xebialabs.xlrelease.risk.domain.riskassessors

# Class ReleaseFlaggedAtRiskAssessor

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor
com.xebialabs.xlrelease.risk.domain.riskassessors.ReleaseFlaggedAtRiskAssessor

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="ReleaseFlaggedAtRiskAssessor", versioned=false) public class ReleaseFlaggedAtRiskAssessor extends RiskAssessor

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

  `description, group, icon, OK_HEADLINE, OK_SCORE, order, score, title, weight`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseFlaggedAtRiskAssessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RiskAssessment`
  `execute(Release release, RiskProfile riskProfile)`

  ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

  `getDescription, getGroup, getIcon, getOrder, getScore, getTitle, getWeight, setDescription, setGroup, setIcon, setOrder, setScore, setTitle, setWeight`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReleaseFlaggedAtRiskAssessor

    public ReleaseFlaggedAtRiskAssessor()

- ## Method Details

  - ### execute

    public RiskAssessment execute(Release release, RiskProfile riskProfile)
    Specified by:
      `execute` in class `RiskAssessor`